import { DefineComponent, RecordPropsDefinition, ComponentOptions, Vue2type } from './additionalTypes';
declare type DefaultData<V> = object | ((this: V) => {});
declare type DefaultMethods<V> = {
    [key: string]: (this: V, ...args: any[]) => any;
};
/**
 * @hidden
 */
export interface DialogTitleBarProps {
    /**
     * @hidden
     */
    onClosebuttonclick?: (event: any) => void;
    /**
     * @hidden
     */
    id?: string;
    /**
     * @hidden
     */
    closeIcon?: boolean;
    /**
     * Sets the title of the Dialog .
     *  If `title` of 'titleRender' is not specified, the Dialog does not render a **Close** button.
     */
    title?: string | any;
    /**
     * Defines the custom rendering of the title. Accepts a Vue component, a `render` function, or a slot name.
     */
    titleRender?: ((h: any, defaultRendering: any | null, props: any, listeners: any) => any) | string | any;
}
/**
 * @hidden
 */
export interface DialogTitleBarMethods extends Vue2type {
    onCloseButtonClick: (event: any) => void;
}
/**
 * @hidden
 */
declare let DialogTitleBarVue2: ComponentOptions<Vue2type, DefaultData<{}>, DefaultMethods<DialogTitleBarMethods>, {}, RecordPropsDefinition<DialogTitleBarProps>>;
/**
 * @hidden
 */
declare const DialogTitleBar: DefineComponent<DialogTitleBarProps, any, {}, {}, DialogTitleBarMethods, {}, {}, {}, string, DialogTitleBarProps, DialogTitleBarProps, {}>;
export { DialogTitleBar, DialogTitleBarVue2 };
